Foreman - Bug #27572

Default "Filter Errata Type" value in "Applied Errata" report leads to empty output
08/09/2019 09:04 AM - Marek Hulan

Status: Closed

Priority: Normal

Assignee:

Category: Reporting

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: 1727928 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1727928

Description of problem:
When | don't select errata type while generating the Applied Errata report, it produces empty output. Not even header is in the
resulting file.

Version-Release number of selected component (if applicable):
Reproduced on Sat 6.6 snap 10.

How reproducible:
Deterministic

Steps to Reproduce:

. Have a Satellite, a content host fully registered to it (bootstrap, katello-agent)
. Have some erratum applicable to that content host

. Go to the content host page -> Errata

. Select some erratum

. Click "Apply Selected"

. Monitor -> Report Templates

. Generate "Applicable Errata"

. Default values, Submit
Actual results:
Empty file

Expected results:
File with at least a header and an entry for the applied erratum. | think not filling the field should be interpreted as "all".

Additional information:
Tested with errata applied through katello-agent because I'm blocked on testing with remote execution due to bug 1727927.

Related issues:
Related to Katello - Refactor #27709: Allow load_errata_applications to accep... Closed

History

#1 - 08/26/2019 11:20 AM - Ondfej Ezr
- Related to Refactor #27709: Allow load_errata_applications to accept nil/blank value added

#2 - 08/31/2019 12:30 PM - Ondfrej Ezr

- Subject changed from Default "Filter Errata Type" value in "Applied Errata" report leads to empty output
to Default "Filter Errata Type" value in "Applied Errata" report leads to empty output

- Status changed from New to Closed

Fixed by #27709.
https://bugzilla.redhat.com/show_bug.cgi?id=1727928
https://projects.theforeman.org/issues/27709

#3 - 03/05/2020 12:19 PM - Tomer Brisker
- Category changed from Statistics to Reporting
